/* common/KMObject.h
 *
 * Copyright (C) 2023 OpenKylin, Inc
 */

#ifndef __KMOBJECT_H__
#define __KMOBJECT_H__

#include <string>

class KMObject
{
public:
    KMObject() = default;
    virtual ~KMObject();

    std::string className() const
    {
        return m_className;
    }
    
    void setClassName(const std::string &className)
    {
        m_className = className;
    }

private:
    std::string m_className{ "KMObject" };
};

#endif // !__KMOBJECT_H__
